POST /_system/core/upgrade/{internal_ip}

Trigger RUAL Core system upgrade

Trigger RUAL Core system upgrade
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
versionrequiredobject
{
  "is_current": true,
  "timestamp": 1782166695813,
  "version": "v14.0.5"
}
... and more
{
  "internal_ip": "10.0.4.19",
  "message": "ok",
  "status": "UPGRADE_REQUESTED"
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
core_createRequired scope: core_create

Back to System Upgrades Return to the System Upgrades category to view other endpoints All API Categories Browse all available API categories